Skip to main content
PATCH
Update a webhook endpoint

Authorizations

x-api-key
string
header
required

Workspace API key. Current accepted keys use the ando_sk_ prefix.

Path Parameters

endpointId
string
required

Webhook endpoint identifier.

Body

application/json

Webhook endpoint update request.

enabled_events
enum<string>[]

Product event types to deliver to this endpoint.

Webhook event type.

Available options:
message.created,
message.updated,
conversation.membership.created,
conversation.archived,
conversation.unarchived,
call.started,
call.ended,
call.updated,
call.transcript.updated,
webhook.test
delivery_scope
object

Webhook endpoint delivery-scope update.

name
string | null

Optional endpoint label.

status
enum<string>

Endpoint status.

Available options:
active,
disabled
url
string

HTTPS receiver URL.

Response

Updated webhook endpoint.

Webhook endpoint response.

data
object
required

Webhook endpoint metadata. Signing secret plaintext is never returned here.